## joypy 0.2.2

=== requirements.txt ===
numpy
scipy>=0.11
pandas>=0.20
matplotlib

=== debian/changelog ===
joypy (0.2.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Nilesh Patra ]
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 02 Dec 2020 17:12:30 +0530

joypy (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #969532)

 -- Steffen Moeller <moeller@debian.org>  Fri, 04 Sep 2020 15:09:32 +0200

=== debian/control ===
Source: joypy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Nilesh Patra <npatra974@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-matplotlib,
               python3-numpy,
               python3-pandas (>= 0.20.0),
               python3-scipy,
               python3-pytest
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/joypy
Vcs-Git: https://salsa.debian.org/python-team/packages/joypy.git
Homepage: https://github.com/sbebo/joypy
Rules-Requires-Root: no

Package: python3-joypy
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-matplotlib,
         python3-numpy,
         python3-pandas (>= 0.20.0),
         python3-scipy
Suggests: r-cran-ggridges,
          r-cran-ggjoy
Description: ridgeline-/joyplots plotting routine
 JoyPy is a one-function Python package based on matplotlib + pandas
 with a single purpose: drawing joyplots (a.k.a. ridgeline plots).
 Joyplots are stacked, partially overlapping density plots.
 They are a nice way to plot data to visually compare distributions,
 especially those that change across one dimension (e.g., over time).
 Though hardly a new technique, they have become very popular lately
 thanks to the R packages ggridges and ggjoy.

## joypy 0.2.6

=== debian/changelog ===
joypy (0.2.6-2) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 20:19:14 +0530

joypy (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6
  * Remove pandas-1.3 patch (merged upstream)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Dec 2021 19:46:09 +0530

joypy (0.2.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-pandas.
    + python3-joypy: Drop versioned constraint on python3-pandas in Depends.

  [ Nilesh Patra ]
  * Cherry-pick upstream commit to fix pandas 1.3 FTBFS (Closes: #1000727)
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Dec 2021 00:11:29 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: joypy
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Nilesh Patra <npatra974@gmail.com>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -11,14 +10,13 @@
                python3-all,
                python3-matplotlib,
                python3-numpy,
-               python3-pandas (>= 0.20.0),
+               python3-pandas,
                python3-scipy,
                python3-pytest
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/joypy
 Vcs-Git: https://salsa.debian.org/python-team/packages/joypy.git
 Homepage: https://github.com/sbebo/joypy
-Rules-Requires-Root: no
 
 Package: python3-joypy
 Architecture: all
@@ -26,7 +24,7 @@
          ${misc:Depends},
          python3-matplotlib,
          python3-numpy,
-         python3-pandas (>= 0.20.0),
+         python3-pandas,
          python3-scipy
 Suggests: r-cran-ggridges,
           r-cran-ggjoy

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=joypy

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir}/data {interpreter} -m pytest -v"
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%joypy-$1.tar.gz%" \
   https://github.com/sbebo/joypy/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
